1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Ghostbusters Help

Discussion in 'Crashed!' started by giffmemana, Sep 29, 2015.

  1. Daerandin

    Daerandin Active Member

    Joined:
    Oct 18, 2013
    Messages:
    933
    Likes Received:
    149
    Trophy Points:
    43
    Location:
    Northern Norway
    Home page:
    I know you had played through the game, but it's not easy for me to move past a problem without solving it, haha.

    I decided to post this just in case you'd like to give it a try, or you encounter issues in any other games, and hopefully it could be the solution you need for the audio issues.
  2. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Our goal is to make gaming as-easy-as-possible for Linux because of problems like yours and Ghostbusters.
    Like you wrote, some people would have given up, so we want to avoid that, but there is only so much we can do.
    Hopefully our step-by-step guides make the transition to Linux easier for gamers.
  3. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Turns out Mint 17.2 IS using Pulseaudio
    I'm doing some Linux Admin tutorials and ran
    Code:
    top -c
    Noticed Pulseaudio

    Even ran
    Code:
    pulseaudio --version
    It outputted
    Code:
    pulseaudio 4.0
    I looked up how to upgrade Pulseaudio to version 5.0 but apparently its not "stable" for Mint
    Seemed rather painless, but I don't want it to break anything else on his system.
    mrdeathjr28 likes this.
  4. mrdeathjr28

    mrdeathjr28 Active Member

    Joined:
    Mar 9, 2014
    Messages:
    589
    Likes Received:
    38
    Trophy Points:
    28
    Hi in my case stay testing pulse 5.0 however in some games audio works better in 4.0

    But thanks to this guide fix in part this problems

    Still waiting pulseaudio 7.0 backport but nothing for now

    :)
  5. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Wow, that is a complicated guide
    I would be scared to make all those changes because its hard to track them if you want to undo them.
  6. mrdeathjr28

    mrdeathjr28 Active Member

    Joined:
    Mar 9, 2014
    Messages:
    589
    Likes Received:
    38
    Trophy Points:
    28
    Really simple i have two copies of this file in same folder for prevent error, once with ori extension with default values and another with wine extension for wine values

    Example:

    default.conf normal file
    default.conf.ori default values
    default.conf.wine wine values

    :)
  7. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Yeah, that is what I would do as well, but expecting noob gamers to remember all of this is discouraging.
  8. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Guess what Giffmemana?
    The newest Wine 1.7.55 supports Pulseaudio
    So there is a chance Ghostbusters will run fine in PlayOnLinux without audio problems.
    This might give you a reason to play it again.
    Specially if you have surround sound
    giffmemana likes this.
  9. mrdeathjr28

    mrdeathjr28 Active Member

    Joined:
    Mar 9, 2014
    Messages:
    589
    Likes Received:
    38
    Trophy Points:
    28
    In my case runs good without sound before appears wine 1.7.55 and works good, however in my case use stereo sound only

    But as your said pulse audio change must be improve in speakers configuration beyond stereo configuration

    In some related issues fixed stay in part flickering bug, this fixed some titles like as

    WRC 1




    WRC 2

    https://www.youtube.com/watch?v=TLUrJURaN5M


    WRC 3




    Dinasty Warriors Orochi




    Dark souls

    https://www.youtube.com/watch?v=qFlJe55dA9o


    Roller Coaster Tycoon 1




    Roller Coaster Tycoon 2

    https://www.youtube.com/watch?v=Y6lmMFrQyn4


    Other bug fixed in this version have relation with input, turn around issue case FEAR 3, Risen 1 , Risen 2, Batman Arkham Asylum, Batman Arkham City, Batman Arkham Origins*, Ghostbusters The Videogame and many others


    FEAR 3



    *Your usefull windowed trick is no more needed, for now stay testing many games for now have around 12 to 15 titles, in next days appears videos in channel

    However i test this games with wine git (wine git this week have many activity compared to regular week)


    :)
    Last edited: Nov 14, 2015
  10. giffmemana

    giffmemana Member

    Joined:
    Jul 23, 2015
    Messages:
    48
    Likes Received:
    5
    Trophy Points:
    8
    Thats good to hear. Need to update my wine, I think im using the stable version (1.6.2).
  11. booman

    booman Grand High Exalted Mystic Emperor of Linux Gaming Staff Member

    Joined:
    Dec 17, 2012
    Messages:
    7,475
    Likes Received:
    542
    Trophy Points:
    113
    Location:
    Linux, Arizona
    Home page:
    Yes, please update to 1.7.55
    I tested Skyrim today and it seems to be working. I had to undo my daemon.conf and default.pa files
    Then I restarted

Share This Page